Summary: The NIS (Network Information Service) server.
Name: ypserv
Version: 1.3.11
Release: 1
Group: System Environment/Daemons
Copyright: GNU
Url: http://www.suse.de/~kukuk/nis/
Packager: Hao Li <hli@wag.caltech.edu>
Source0: ftp://ftp.kernel.org/pub/linux/utils/NIS/ypserv-%{version}.tar.gz
Source1: ypserv-ypserv.init
Source2: ypserv-yppasswdd.init
Patch: ftp://ftp.kernel.org/pub/linux/utils/NIS/ypserv-1.3.11a.diff
Requires: portmap tcp_wrappers
Buildroot: /var/tmp/ypserv-root/

%description
The Network Information Service (NIS) is a system which provides network
information (login names, passwords, home directories, group information)
to all of the machines on a network.  NIS can enable users to login on
any machine on the network, as long as the machine has the NIS client
programs running and the user's password is recorded in the NIS passwd
database.  NIS was formerly known as Sun Yellow Pages (YP).

This package provides the NIS server, which will need to be running on
your network.  NIS clients do not need to be running the server.

Install ypserv if you need an NIS server for your network.  You'll also
need to install the yp-tools and ypbind packages onto any NIS client
machines.


%prep
%setup -q
%patch -p1


%build
export INSTALL=install
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure \
	--enable-tcp-wrapper --enable-fqdn --enable-yppasswd
make


%install
rm -rf $RPM_BUILD_ROOT
make install ROOT=$RPM_BUILD_ROOT

# Because --enable-tcp-wrapper is enabled above /var/yp/securenets
# is no longer checked, so we'd better remove it:
rm -f $RPM_BUILD_ROOT/var/yp/securenets

# These two files state that they are not used by Linux themselves
rm -f $RPM_BUILD_ROOT/etc/{locale,timezone}

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m644 etc/ypserv.conf $RPM_BUILD_ROOT/etc
install -m755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ypserv
install -m755 %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/yppasswdd


%post
/sbin/chkconfig --add ypserv
/sbin/chkconfig --add yppasswdd

%postun
if [ $1 = 0 ]; then
	/sbin/chkconfig --del ypserv
	/sbin/chkconfig --del yppasswdd
fi


%files
%defattr(-,root,root)
%doc BUGS BUILD COPYING ChangeLog HOWTO.SuSE INSTALL NEWS README* TODO
%config /etc/netgroup
%config /etc/netmasks
%config /etc/ypserv.conf
%config /etc/rc.d/init.d/*
%config /var/yp/*
%dir /var/yp
/usr/include/rpcsvc/*
/usr/lib/yp
/usr/man/man*/*
/usr/sbin/*


%clean
rm -rf $RPM_BUILD_ROOT

